/* SuffixFileFilter.java created by Administrator on Wed 26-Sep-2001 */

import com.apple.yellow.foundation.*;
import java.io.*;


public class SuffixFileFilter extends Object implements FilenameFilter {

    String suffix;

    public SuffixFileFilter(String value) {
        suffix = value;
    }

    public boolean accept (File dir, String filename) {
        if (filename.endsWith(suffix)) return true;
        File aFile = new File(NSPathUtilities.stringByAppendingPathComponent(dir.getPath(), filename));
        if (aFile.isDirectory()) return true;
        return false;
    }

}
